HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials

HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials (http://www.howtoforge.com/forums/index.php)
-   HOWTO-Related Questions (http://www.howtoforge.com/forums/forumdisplay.php?f=2)
-   -   setting up a media server centos 5.2 (http://www.howtoforge.com/forums/showthread.php?t=41658)

asphix20 9th December 2009 01:49

setting up a media server centos 5.2
 
Hello, I am trying to set up a media server on my centOS 5.2 build following this : http://www.howtoforge.com/set-up-a-l...ver-centos-5.2

Everything worked up until I try to install fuppes using the command, :

yum localinstall fuppes-0.7.2-627SVN.i386.rpm

I get :

fuppes-0.7.2--627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: libmad.so.0 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)

among others (found at bottom of post). I tried installing it manually by typing, yum install libmad and a couple installed but the rest are a no go.

Can someone point me in the right direction or tell me what I'm doing wrong?

Thanks.

=================================================

This is what I get when executing the yum localinstall fuppes-0.7.2-627SVN.i386.rpm

Loaded plugins: fastestmirror
Setting up Local Package Process
Examining fuppes-0.7.2-627SVN.i386.rpm: fuppes-0.7.2-627SVN.i386
Marking fuppes-0.7.2-627SVN.i386.rpm to be installed
Loading mirror speeds from cached hostfile
* extras: mirrors.netdna.com
* rpmforge: fr2.rpmfind.net
* base: mirror.trouble-free.net
* updates: mirror.linux.duke.edu
* addons: centos.mirror.nac.net
Resolving Dependencies
--> Running transaction check
---> Package fuppes.i386 0:0.7.2-627SVN set to be updated
--> Processing Dependency: exiv2 for package: fuppes
--> Processing Dependency: ffmpeg for package: fuppes
--> Processing Dependency: liba52.so.0 for package: fuppes
--> Processing Dependency: libavcodec.so.51 for package: fuppes
--> Processing Dependency: libavformat.so.51 for package: fuppes
--> Processing Dependency: libavutil.so.49 for package: fuppes
--> Processing Dependency: libexiv2.so.4 for package: fuppes
--> Processing Dependency: libfaac.so.0 for package: fuppes
--> Processing Dependency: libfaad.so.0 for package: fuppes
--> Processing Dependency: libgsm.so.1 for package: fuppes
--> Processing Dependency: libmad.so.0 for package: fuppes
--> Processing Dependency: libmp3lame.so.0 for package: fuppes
--> Processing Dependency: libmp4v2 for package: fuppes
--> Processing Dependency: libmpcdec for package: fuppes
--> Processing Dependency: libpcre.so.0 for package: fuppes
--> Processing Dependency: libtag.so.1 for package: fuppes
--> Processing Dependency: libx264.so.55 for package: fuppes
--> Processing Dependency: libxvidcore.so.4 for package: fuppes
--> Processing Dependency: taglib for package: fuppes
--> Running transaction check
---> Package ffmpeg.x86_64 0:0.5-3.el5.rf set to be updated
--> Processing Dependency: a52dec for package: ffmpeg
--> Processing Dependency: libdirac_decoder.so.0()(64bit) for package: ffmpeg
--> Processing Dependency: libamrnb.so.3()(64bit) for package: ffmpeg
--> Processing Dependency: libpostproc.so.51()(64bit) for package: ffmpeg
--> Processing Dependency: libamrwb.so.3()(64bit) for package: ffmpeg
--> Processing Dependency: libfaad.so.2()(64bit) for package: ffmpeg
--> Processing Dependency: libfaac.so.0()(64bit) for package: ffmpeg
--> Processing Dependency: libImlib2.so.1()(64bit) for package: ffmpeg
--> Processing Dependency: libdirac_encoder.so.0()(64bit) for package: ffmpeg
--> Processing Dependency: libmp3lame.so.0()(64bit) for package: ffmpeg
--> Processing Dependency: libx264.so.68()(64bit) for package: ffmpeg
---> Package exiv2.x86_64 0:0.18.2-1.el5.rf set to be updated
---> Package taglib.x86_64 0:1.5-1.el5.rf set to be updated
---> Package pcre.i386 0:6.6-2.el5_1.7 set to be updated
---> Package fuppes.i386 0:0.7.2-627SVN set to be updated
--> Processing Dependency: liba52.so.0 for package: fuppes
--> Processing Dependency: libavcodec.so.51 for package: fuppes
--> Processing Dependency: libavformat.so.51 for package: fuppes
--> Processing Dependency: libavutil.so.49 for package: fuppes
--> Processing Dependency: libexiv2.so.4 for package: fuppes
--> Processing Dependency: libfaac.so.0 for package: fuppes
--> Processing Dependency: libfaad.so.0 for package: fuppes
--> Processing Dependency: libgsm.so.1 for package: fuppes
--> Processing Dependency: libmad.so.0 for package: fuppes
--> Processing Dependency: libmp3lame.so.0 for package: fuppes
--> Processing Dependency: libtag.so.1 for package: fuppes
--> Processing Dependency: libx264.so.55 for package: fuppes
--> Processing Dependency: libxvidcore.so.4 for package: fuppes
---> Package libmp4v2.x86_64 0:1.5.0.1-3.el5.rf set to be updated
---> Package libmpcdec.x86_64 0:1.2.6-1.el5.rf set to be updated
--> Running transaction check
---> Package faad2.x86_64 0:2.7-1.el5.rf set to be updated
---> Package lame.x86_64 0:3.98.2-1.el5.rf set to be updated
---> Package imlib2.x86_64 0:1.4.0-1.el5.rf set to be updated
--> Processing Dependency: libid3tag.so.0()(64bit) for package: imlib2
---> Package amrwb.x86_64 0:7.0.0.3-1.el5.rf set to be updated
---> Package fuppes.i386 0:0.7.2-627SVN set to be updated
--> Processing Dependency: liba52.so.0 for package: fuppes
--> Processing Dependency: libavcodec.so.51 for package: fuppes
--> Processing Dependency: libavformat.so.51 for package: fuppes
--> Processing Dependency: libavutil.so.49 for package: fuppes
--> Processing Dependency: libexiv2.so.4 for package: fuppes
--> Processing Dependency: libfaac.so.0 for package: fuppes
--> Processing Dependency: libfaad.so.0 for package: fuppes
--> Processing Dependency: libgsm.so.1 for package: fuppes
--> Processing Dependency: libmad.so.0 for package: fuppes
--> Processing Dependency: libmp3lame.so.0 for package: fuppes
--> Processing Dependency: libtag.so.1 for package: fuppes
--> Processing Dependency: libx264.so.55 for package: fuppes
--> Processing Dependency: libxvidcore.so.4 for package: fuppes
---> Package dirac.x86_64 0:1.0.2-1.el5.rf set to be updated
--> Processing Dependency: libcppunit-1.12.so.0()(64bit) for package: dirac
---> Package x264.x86_64 0:0.0.0-0.4.20090708.el5.rf set to be updated
---> Package ffmpeg-libpostproc.x86_64 0:0.5-3.el5.rf set to be updated
---> Package a52dec.x86_64 0:0.7.4-8.el5.rf set to be updated
---> Package amrnb.x86_64 0:7.0.0.2-1.el5.rf set to be updated
---> Package faac.x86_64 0:1.26-1.el5.rf set to be updated
--> Running transaction check
---> Package libid3tag.x86_64 0:0.15.1b-3.el5.rf set to be updated
---> Package cppunit.x86_64 0:1.12.0-3.el5.rf set to be updated
---> Package fuppes.i386 0:0.7.2-627SVN set to be updated
--> Processing Dependency: liba52.so.0 for package: fuppes
--> Processing Dependency: libavcodec.so.51 for package: fuppes
--> Processing Dependency: libavformat.so.51 for package: fuppes
--> Processing Dependency: libavutil.so.49 for package: fuppes
--> Processing Dependency: libexiv2.so.4 for package: fuppes
--> Processing Dependency: libfaac.so.0 for package: fuppes
--> Processing Dependency: libfaad.so.0 for package: fuppes
--> Processing Dependency: libgsm.so.1 for package: fuppes
--> Processing Dependency: libmad.so.0 for package: fuppes
--> Processing Dependency: libmp3lame.so.0 for package: fuppes
--> Processing Dependency: libtag.so.1 for package: fuppes
--> Processing Dependency: libx264.so.55 for package: fuppes
--> Processing Dependency: libxvidcore.so.4 for package: fuppes
--> Finished Dependency Resolution
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems

--> Missing Dependency: libmad.so.0 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: libavcodec.so.51 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: libfaad.so.0 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: libfaac.so.0 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: libx264.so.55 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: libtag.so.1 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: liba52.so.0 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: libmp3lame.so.0 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: libgsm.so.1 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: libavformat.so.51 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: libxvidcore.so.4 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: libavutil.so.49 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
fuppes-0.7.2-627SVN.i386 from fuppes-0.7.2-627SVN.i386.rpm has depsolving problems
--> Missing Dependency: libexiv2.so.4 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: libxvidcore.so.4 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: libfaac.so.0 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: libavutil.so.49 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: libmp3lame.so.0 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: libmad.so.0 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: libx264.so.55 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: libgsm.so.1 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: libexiv2.so.4 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: libavcodec.so.51 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: libtag.so.1 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: libavformat.so.51 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: liba52.so.0 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)
Error: Missing Dependency: libfaad.so.0 is needed by package fuppes-0.7.2-627SVN.i386 (fuppes-0.7.2-627SVN.i386.rpm)

topdog 9th December 2009 08:37

There is an issue with the rpmforge repo, I have switched to mediatomb and it works like a charm

asphix20 9th December 2009 16:37

Ok thanks. I'll give mediatomb a shot.


All times are GMT +2. The time now is 10:21.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.